package com.sv.dto.api;

import java.io.Serializable;
import java.util.Date;
import java.math.*;

/**
 * DTO - 快速充值配置信息
 *
 * @author lihong
 * @since 2018-08-03
 */
public class RechargeDTO implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     * 充值金额
     */
    private BigDecimal rechargeMoney;

    /**
     * 到账金额
     */
    private BigDecimal toMoney;

    /**
     * 平台来源ID
     */
    private Integer platformId;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;



    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置充值金额
     *
     * @param rechargeMoney 充值金额
     */
    public void setRechargeMoney(BigDecimal rechargeMoney){
        this.rechargeMoney = rechargeMoney;
    }

    /**
     * 获取充值金额
     *
     * @return 充值金额
     */
    public BigDecimal getRechargeMoney(){
        return rechargeMoney;
    }


    /**
     * 设置到账金额
     *
     * @param toMoney 到账金额
     */
    public void setToMoney(BigDecimal toMoney){
        this.toMoney = toMoney;
    }

    /**
     * 获取到账金额
     *
     * @return 到账金额
     */
    public BigDecimal getToMoney(){
        return toMoney;
    }


    /**
     * 设置平台来源ID
     *
     * @param platformId 平台来源ID
     */
    public void setPlatformId(Integer platformId){
        this.platformId = platformId;
    }

    /**
     * 获取平台来源ID
     *
     * @return 平台来源ID
     */
    public Integer getPlatformId(){
        return platformId;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

}